Package org.italiangrid.voms.request.impl

# Class RESTServiceURLBuilder

java.lang.Object
org.italiangrid.voms.request.impl.RESTServiceURLBuilder

public class RESTServiceURLBuilder extends Object
An helper class which builds a URL suitable for an HTTPS VOMS REST request starting from the VOMS URI as available in a `VOMSServerInfo` object.

Author:
  Valerio Venturi

## Constructor Summary

Constructors
Constructor
Description
`RESTServiceURLBuilder()`

## Method Summary

Modifier and Type
Method
Description
`URL`
`build(VOMSServerInfo endpoint, VOMSACRequest request)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RESTServiceURLBuilder

public RESTServiceURLBuilder()

## Method Details

### build

public URL build(VOMSServerInfo endpoint, VOMSACRequest request)